Main Page Alphabetical List Data Structures File List Data Fields Globals

# x.h File Reference

## Data Structures
struct | _wmf_x_t
## Defines
#define | WMF_X_GetData(Z) ((wmf_x_t*)(((wmfAPI*)Z)->device_data))
#define | WMF_X_DISPLAY_OPEN (1 << 0)
#define | WMF_X_DISPLAY_CLOSE (1 << 1)
#define | WMF_X_WINDOW_OPEN (1 << 2)
#define | WMF_X_WINDOW_CLOSE (1 << 3)
#define | WMF_X_PIXMAP_OPEN (1 << 4)
#define | WMF_X_PIXMAP_CLOSE (1 << 5)
#define | WMF_X_CMAP_DESTROY (1 << 7)
## Typedefs
typedef _wmf_x_t | wmf_x_t
## Functions
void | wmf_x_function (wmfAPI *)

## Define Documentation

#define WMF_X_CMAP_DESTROY (1 << 7)

#define WMF_X_DISPLAY_CLOSE (1 << 1)

#define WMF_X_DISPLAY_OPEN (1 << 0)

#define WMF_X_GetData | ( | Z |  | ) | ((wmf_x_t*)(((wmfAPI*)Z)->device_data))

#define WMF_X_PIXMAP_CLOSE (1 << 5)

#define WMF_X_PIXMAP_OPEN (1 << 4)

#define WMF_X_WINDOW_CLOSE (1 << 3)

#define WMF_X_WINDOW_OPEN (1 << 2)

## Typedef Documentation

typedef struct _wmf_x_t wmf_x_t

## Function Documentation

void wmf_x_function | ( | wmfAPI * |  | ) |